<libosinfo version="0.0.1">
<!-- Licensed under the GNU General Public License version 2 or later.
     See http://www.gnu.org/licenses/ for a copy of the license text -->
  <os id="http://redhat.com/rhel/7-unknown">
    <short-id>rhel7-unknown</short-id>
    <_name>Red Hat Enterprise Linux 7 Unknown</_name>
    <version>7-unknown</version>
    <_vendor>Red Hat, Inc</_vendor>
    <family>linux</family>
    <distro>rhel</distro>
    <codename>Maipo</codename>
    <upgrades id="http://redhat.com/rhel/7.8"/>
    <derives-from id="http://redhat.com/rhel/7.8"/>

    <media arch="x86_64">
      <iso>
        <system-id>LINUX</system-id>
        <volume-id>.*RHEL-7.(9|[1-9][0-9]).*x86_64.*</volume-id>
      </iso>
      <kernel>isolinux/vmlinuz</kernel>
      <initrd>isolinux/initrd.img</initrd>
    </media>

    <media arch="aarch64">
       <iso>
         <system-id>LINUX</system-id>
         <volume-id>RHEL-7.(9|[1-9][0-9]).*aarch64$</volume-id>
       </iso>
     </media>

    <media arch="ppc64">
       <iso>
         <system-id>PPC</system-id>
         <volume-id>RHEL[-_]7.(9|[1-9][0-9]).*ppc64$</volume-id>
       </iso>
     </media>

    <media arch="ppc64le">
       <iso>
         <system-id>PPC</system-id>
         <volume-id>RHEL[-_]7.(9|[1-9][0-9]).*ppc64le$</volume-id>
       </iso>
     </media>

    <media arch="s390x">
       <iso>
         <system-id>LINUX</system-id>
         <volume-id>RHEL-7.(9|[1-9][0-9]).*s390x$</volume-id>
       </iso>
     </media>

    <tree arch="ppc64">
      <treeinfo>
        <family>Red Hat Enterprise Linux</family>
        <version>^7.(9|[1-9][0-9])$</version>
        <arch>ppc64</arch>
      </treeinfo>
    </tree>

    <tree arch="ppc64le">
      <treeinfo>
        <family>Red Hat Enterprise Linux</family>
        <version>^7.(9|[1-9][0-9])$</version>
        <arch>ppc64le</arch>
      </treeinfo>
    </tree>

    <tree arch="s390x">
      <treeinfo>
        <family>Red Hat Enterprise Linux</family>
        <version>^7.(9|[1-9][0-9])$</version>
        <arch>s390x</arch>
      </treeinfo>
    </tree>

    <tree arch="x86_64">
      <treeinfo>
        <family>Red Hat Enterprise Linux</family>
        <version>^7.(9|[1-9][0-9])$</version>
        <arch>x86_64</arch>
      </treeinfo>
    </tree>

    <resources arch="ppc64">
      <minimum>
        <n-cpus>1</n-cpus>
        <cpu>1000000000</cpu>
        <ram>2147483648</ram>
        <storage>10737418240</storage>
      </minimum>

      <recommended>
        <cpu>4000000000</cpu>
        <ram>2147483648</ram>
        <storage>21474836480</storage>
      </recommended>
    </resources>

    <resources arch="all">
      <minimum>
        <n-cpus>1</n-cpus>
        <cpu>1000000000</cpu>
        <ram>1073741824</ram>
        <storage>10737418240</storage>
      </minimum>

      <recommended>
        <cpu>1000000000</cpu>
        <ram>1073741824</ram>
        <storage>21474836480</storage>
      </recommended>

      <maximum>
        <ram>13194139533312</ram>
      </maximum>

      <network-install>
        <ram>2147483648</ram>
      </network-install>
    </resources>

    <installer>
      <script id='http://redhat.com/rhel/kickstart/jeos'/>
      <script id='http://redhat.com/rhel/kickstart/desktop'/>
    </installer>
  </os>
</libosinfo>
